CS::RenderManager::ShadowNone< RenderTree, LayerConfigType > Class Template Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions
CS::RenderManager::ShadowNone< RenderTree, LayerConfigType > Class Template Reference

Shadow handler for "no" shadows. More...

`#include <csplugincommon/rendermanager/lightsetup.h>`

List of all members.

## Classes
struct | CachedLightData
| Shadowing-specific data persistently stored for every light. More...
struct | PersistentData
| Data used by the shadow handler that needs to persist over multiple frames. More...
struct | ShadowParameters
| Shadow method specific parameters. More...
## Public Member Functions
void | FinalHandleLight (iLight *, CachedLightData &)
| Final pass, called for each lights.
csFlags | GetLightFlagsMask () const
| Return which light flags should be masked out before comparing flags of two lights.
size_t | GetLightLayerSpread () const
| Return up to how many layers shadows for a light may need.
template<typename _CachedLightData >
uint | HandleOneLight (typename RenderTree::MeshNode::SingleMesh &singleMesh, iLight *light, _CachedLightData &lightData, csShaderVariableStack *lightStacks, uint lightNum, uint sublight)
| Set up shadowing for a mesh/light combination.
## Static Public Member Functions
static bool | NeedFinalHandleLight ()
| Return whether, at the end of light setup, there should be another pass over every light.

## Detailed Description

### template<typename RenderTree, typename LayerConfigType>
class CS::RenderManager::ShadowNone< RenderTree, LayerConfigType >

Shadow handler for "no" shadows.

Definition at line 316 of file lightsetup.h.

## Member Function Documentation

template<typename RenderTree, typename LayerConfigType>

void CS::RenderManager::ShadowNone< RenderTree, LayerConfigType >::FinalHandleLight | ( | iLight * | ,
|  | CachedLightData & |
| ) |  | `[inline]`

Final pass, called for each lights.

Definition at line 365 of file lightsetup.h.

template<typename RenderTree, typename LayerConfigType>

csFlags CS::RenderManager::ShadowNone< RenderTree, LayerConfigType >::GetLightFlagsMask | ( |  | ) | const`[inline]`

Return which light flags should be masked out before comparing flags of two lights.

Definition at line 371 of file lightsetup.h.

template<typename RenderTree, typename LayerConfigType>

size_t CS::RenderManager::ShadowNone< RenderTree, LayerConfigType >::GetLightLayerSpread | ( |  | ) | const`[inline]`

Return up to how many layers shadows for a light may need.

Definition at line 374 of file lightsetup.h.

template<typename RenderTree, typename LayerConfigType>
template<typename _CachedLightData >

uint CS::RenderManager::ShadowNone< RenderTree, LayerConfigType >::HandleOneLight | ( | typename RenderTree::MeshNode::SingleMesh & | singleMesh,
|  | iLight * | light,
|  | _CachedLightData & | lightData,
|  | csShaderVariableStack * | lightStacks,
|  | uint | lightNum,
|  | uint | sublight
| ) |  | `[inline]`

Set up shadowing for a mesh/light combination.

Definition at line 353 of file lightsetup.h.

template<typename RenderTree, typename LayerConfigType>

static bool CS::RenderManager::ShadowNone< RenderTree, LayerConfigType >::NeedFinalHandleLight | ( |  | ) | `[inline, static]`

Return whether, at the end of light setup, there should be another pass over every light.

Definition at line 363 of file lightsetup.h.

The documentation for this class was generated from the following file:

- csplugincommon/rendermanager/lightsetup.h